Skip to main content

Verify a binary message signature with the wallet's public key

POST 

/api/v1/crypto/wallet/:walletId/signature/verify/binary

Verify a binary message signature with the wallet's public key

Request​

Path Parameters

    walletId numberrequired

    Wallet identifier

Body

required

    signature stringrequired

    The signature to verify, encoded according to signatureEncoding

    signatureEncoding string

    Possible values: [hex, base64, base64url]

    Default value: hex

    Encoding format of the signature bytes

    message stringrequired

    The message to verify, encoded according to messageEncoding

    messageEncoding string

    Possible values: [hex, base64, base64url]

    Default value: hex

    Encoding format of the message bytes

Responses​

Signature verification result.

Schema

    verified boolean
Loading...